/*  This file is part of the OpenGPI library
 *
 *  Copyright (C) 2009, 2010 Jonas Fietz, Mathias J. Krause, Martin Wlotzka
 *  E-mail contact: info@opengpi.net
 *  The most recent release of OpenGPI can be downloaded at
 *  <http://www.opengpi.org/>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public
 *  License along with this program; if not, see <http://www.gnu.org/licenses/>.
*/


#include "currentsettingsdialog.h"

CurrentSettingsDialog::CurrentSettingsDialog( QWidget *parent, QTreeWidgetItem* item )
  : QDialog( parent )
{
  setWindowTitle( "Current Settings" );
  setModal( true );
  resize( 500, 400 );
  ok = new QPushButton( "OK", this );
  tree = new QTreeWidget( this );
  tree->setGeometry( 10, 10, 480, 350 );
  tree->setColumnCount( 2 );
  tree->setColumnWidth( 0, 260 );
  tree->setColumnWidth( 1, 200 );
  tree->setHeaderItem( item );
  tree->setAlternatingRowColors( true );
  QList<QTreeWidgetItem*> itemlist = item->takeChildren();
  tree->addTopLevelItems( itemlist );
  tree->expandAll();
  ok->setGeometry( 440, 370, 50, 20 );
  connect( ok, SIGNAL( clicked() ), this, SLOT( accept() ) );
}

CurrentSettingsDialog::~CurrentSettingsDialog() {}
