/*  This file is part of the OpenGPI library
 *
 *  Copyright (C) 2009, 2010 Jonas Fietz, Mathias J. Krause, Martin Wlotzka
 *  E-mail contact: info@opengpi.net
 *  The most recent release of OpenGPI can be downloaded at
 *  <http://www.opengpi.org/>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public
 *  License along with this program; if not, see <http://www.gnu.org/licenses/>.
*/



#ifndef CURRENTSETTINGSDIALOG_H
#define CURRENTSETTINGSDIALOG_H

#include <QtWidgets>

/**
 * A CurrentSettingsDialog is shown, when the user clicks the "Current Settings" button in the OpenGPIWizard.
 * It contains a QTreeWidget which presents the hierarchical Block-Key-Structure and the current values.
 */
class CurrentSettingsDialog : public QDialog {
  Q_OBJECT

public:

  /**
   * Constructs a CurrentSettingsDialog with a tree of blocks and keys and a button to close it.
   * \param parent The parent widget.
   * \param item The root item of the tree that shall be presented to the user.
   */
  CurrentSettingsDialog( QWidget *parent, QTreeWidgetItem* item );

  /**
   * The destructor.
   */
  ~CurrentSettingsDialog();

private:

  QPushButton *ok;
  QTreeWidget *tree;
};

#endif
