/*  This file is part of the OpenGPI library
 *
 *  Copyright (C) 2009, 2010 Jonas Fietz, Mathias J. Krause, Martin Wlotzka
 *  E-mail contact: info@opengpi.net
 *  The most recent release of OpenGPI can be downloaded at
 *  <http://www.opengpi.org/>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public
 *  License along with this program; if not, see <http://www.gnu.org/licenses/>.
*/


#ifndef LISTMODEL_H
#define LISTMODEL_H

#include <QAbstractListModel>
#include "datamodel.h"

class ListModel : public QAbstractListModel {
  Q_OBJECT
public:
  explicit ListModel(
    DataModel *model, QModelIndex index, QObject *object = 0 );
  int rowCount( const QModelIndex & parent ) const;
  QVariant data( const QModelIndex &index, int role ) const;
  void setParent( QModelIndex );
  Qt::ItemFlags flags( const QModelIndex &index ) const;
  bool setData( const QModelIndex &index, const QVariant &value,
                int role = Qt::EditRole );

signals:

public slots:

private:
  DataModel *dataModel;
  QModelIndex parentIndex;
  QModelIndex dataIndex( const QModelIndex &listIndex ) const;
  QModelIndex listIndex( const QModelIndex &dataIndex ) const;

private slots:
  void sendDataChanged( const QModelIndex &index );

};

#endif
