/*  This file is part of the OpenGPI library
 *
 *  Copyright (C) 2009, 2010 Jonas Fietz, Mathias J. Krause, Martin Wlotzka
 *  E-mail contact: info@opengpi.net
 *  The most recent release of OpenGPI can be downloaded at
 *  <http://www.opengpi.org/>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public
 *  License along with this program; if not, see <http://www.gnu.org/licenses/>.
*/



#ifndef OPENGPITREE_H
#define OPENGPITREE_H

#include <QtWidgets>

/**
 * The OpenGPITree is a view in the MVC model used in OpenGPI. It extends the
 * QTreeView class.
 */
class OpenGPITree : public QTreeView {
  Q_OBJECT

public:
  /**
   * Constructs the OpenGPITree and initializes the QTreeView.
   */
  OpenGPITree( QWidget *parent );

signals:

  void checkAllBlocks(); /**< Signal a change and notify ParamData*/

public slots:

  void setProperties(); /**< set properties to control the look and connect the signal for changing blocks*/

  void updateBlock( QModelIndex i );

  void guidedMode(); /**< Set the selection mode to NoSelection*/
  void expertMode(); /**< Set the selection mode to SingleSelection*/
  void selectIndex( QList<QModelIndex> index ); /**< Set the selection to this index */

};

#endif
