/*  This file is part of the OpenGPI library
 *
 *  Copyright (C) 2009, 2010 Jonas Fietz, Mathias J. Krause, Martin Wlotzka
 *  E-mail contact: info@opengpi.net
 *  The most recent release of OpenGPI can be downloaded at
 *  <http://www.opengpi.org/>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public
 *  License along with this program; if not, see <http://www.gnu.org/licenses/>.
*/


#include "startpage.h"


StartPage::StartPage( QWidget *parent, QString text1, QString text2 )
  : QWizardPage( parent )
{
  setTitle( "Welcome to OpenGPI!" );
  setSubTitle( "This Wizard will guide you through the Parameter Input Interface." );
  t1 = new QLabel( text1 );
  t2 = new QLabel( text2 );
  hLayout = new QHBoxLayout();
  hLayout->addSpacing( 400 );
  rLayout = new QVBoxLayout();
  rLayout->addWidget( t1 );
  rLayout->addWidget( t2 );
  hLayout->addLayout( rLayout );
  setLayout( hLayout );
}

StartPage::~StartPage() {}
