/*  This file is part of the OpenGPI library
 *
 *  Copyright (C) 2009, 2010 Jonas Fietz, Mathias J. Krause, Martin Wlotzka
 *  E-mail contact: info@opengpi.net
 *  The most recent release of OpenGPI can be downloaded at
 *  <http://www.opengpi.org/>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public
 *  License along with this program; if not, see <http://www.gnu.org/licenses/>.
*/



#ifndef STARTPAGE_H
#define STARTPAGE_H

#include <QtWidgets>

/**
 * The StartPage is used to present user information about how to use the OpenGPIGUI. The first wizard page
 * shown at startup is an object of the StartPage class.
 */
class StartPage : public QWizardPage {
  Q_OBJECT

public:
  /**
   * Constructs a StartPage with user defined text messages.
   * \param parent The parent widget.
   * \param text1 The first text presented below the title and the subtitle.
   * \param text2 The second text presented below the title and the subtitle.
   */
  StartPage( QWidget *parent, QString text1 = "Click \"Next\" to load the Description File.",
             QString text2 = "You may also use the Menu for Loading or Saving Files." );

  /**
   * The destructor.
   */
  ~StartPage();

private:

  QLabel *t1, *t2;
  QHBoxLayout *hLayout;
  QVBoxLayout *rLayout;
};

#endif
