/*  This file is part of the OpenGPI library
 *
 *  Copyright (C) 2009, 2010 Jonas Fietz, Mathias J. Krause, Martin Wlotzka
 *  E-mail contact: info@opengpi.net
 *  The most recent release of OpenGPI can be downloaded at
 *  <http://www.opengpi.org/>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public
 *  License along with this program; if not, see <http://www.gnu.org/licenses/>.
*/


#ifndef XMLPARAMEXPORT_H
#define XMLPARAMEXPORT_H

#include <QtWidgets>
#include <QtXml>

/** XMLParamExport is used for exporting the choosen settings into a XML-File. The export directory is setted here
*/
class XMLParamExport: public QWidget {
  Q_OBJECT

public:
  /**
   * Construct the XMLParamExport
   * \param parent: parent widget
   */
  XMLParamExport( QWidget *parent );
  static void initializeCurrentDirectory( const QString &path );
  static void setCurrentDirectory();
  void runExternApplication( QString executable );

public slots:

  /**
   * Export the data from outdoc into the file outfilename
   * \param outdoc: The document to export
   * \param outfilename: the file name for the export
   */
  void exportData( QDomDocument outdoc, QString outfilename );
  void checkExecutableFileName( QString filename, bool &ok );


private:
  static QString parameterFileName;
  QString executableFileName;
};
#endif
